
Foreman - Bug #10558

Remove and prevent duplicate tokens via DB migration

05/20/2015 02:20 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: DB migrations   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2402

  

Description

A DB migration should be added to remove any duplicates caused by #10535.

It should also add a uniqueness check (index, validator) on the host_id in the tokens table to prevent further occurrences.

Similar to some of the commits in #9597 and #10365.

Related issues:

Related to Foreman - Bug #10535: Tokens are created for managed hosts after v... Closed 05/18/2015

Related to Foreman - Bug #22342: Unable to delete the host from foreman Rejected 01/19/2018

Associated revisions

Revision 56608fed - 07/31/2015 05:53 AM - Ori Rabin

Fixes #10558 - adds migration to remove and prevent duplicate tokens

History

#1 - 05/20/2015 02:22 AM - Dominic Cleal

- Related to Bug #10535: Tokens are created for managed hosts after validation added

#2 - 05/25/2015 06:28 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2402 added

- Pull request deleted ()

#3 - 07/14/2015 09:39 AM - Dominic Cleal

- translation missing: en.field_release deleted (35)

#4 - 07/31/2015 05:54 AM - Dominic Cleal

- Assignee set to Ori Rabin

- translation missing: en.field_release set to 72

#5 - 07/31/2015 06:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 56608fedad4b59c3a6c36c99872edbd983e60f55.

#6 - 09/09/2015 06:51 AM - Dominic Cleal

- translation missing: en.field_release changed from 72 to 63
https://projects.theforeman.org/issues/10535
https://projects.theforeman.org/issues/9597
https://projects.theforeman.org/issues/10365
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/56608fedad4b59c3a6c36c99872edbd983e60f55


#7 - 01/19/2018 11:19 PM - Anonymous

- Related to Bug #22342: Unable to delete the host from foreman added
